LinuxAnswers - the LQ Linux tutorial section.
Go Back > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Debian This forum is for the discussion of Debian Linux.


  Search this Thread
Old 01-03-2004, 02:13 PM   #1
Registered: Feb 2001
Location: Boston, USA
Distribution: Slackware
Posts: 437

Rep: Reputation: 30
Error with kdm during apt-get install

I'm new to debian. I've been getting the following error when I try to install mysql-navigator with the command:
apt-get install mysql-navigator

Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
0 upgraded, 1 newly installed, 0 to remove and 52 not upgraded.
1 not fully installed or removed.
Need to get 561kB of archives.
After unpacking 1245kB of additional disk space will be used.
Get:1 unstable/main mysql-navigator 1.4.2-3 [561kB]
Fetched 561kB in 3s (170kB/s)
Selecting previously deselected package mysql-navigator.
(Reading database ... 122357 files and directories currently installed.)
Unpacking mysql-navigator (from .../mysql-navigator_1.4.2-3_i386.deb) ...
Setting up kdm (3.1.4-1) ...
dpkg: error processing kdm (--configure):
subprocess post-installation script returned error exit status 30
Setting up mysql-navigator (1.4.2-3) ...

Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

There seems to be something wrong with kdm. Does anyone know how to resolve this problem? Thanks for any help.
Old 01-03-2004, 02:21 PM   #2
Registered: Jun 2001
Location: Houston, TX, USA
Distribution: Debian
Posts: 569

Rep: Reputation: 31
It's a known bug - there's a patch for the "kdm.config" file in this bug report - . The file is located in /var/lib/dpkg/info and you can just make the changes manually (it's only a two line change).
Old 01-03-2004, 02:30 PM   #3
Registered: Feb 2001
Location: Boston, USA
Distribution: Slackware
Posts: 437

Original Poster
Rep: Reputation: 30
Thanks a lot for your help.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get install/remove error tsitras Debian 4 02-26-2006 02:49 AM
apt-get error: cannot install frozen-bubble branch Linux - Games 1 11-07-2004 06:20 PM
apt-get install samba (error report - need help) dhatcher2 Linux - Software 1 10-29-2004 05:59 PM
apt-get ERROR during install gnome 2.4 ..:eMa:.. Debian 1 05-06-2004 06:00 PM
RH8 apt-get KDE 3.1.2 install error phatcher Linux - Software 2 09-28-2003 01:16 PM

All times are GMT -5. The time now is 10:11 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration